Commit 419b52bd authored by Ahmad Samir's avatar Ahmad Samir
Browse files

[project addon] Don't use deprecated KRecursiveFilterProxyModel

Now that kate requires Qt >= 5.10.0 we can remove the use of
KRecursiveFilterProxyModel.
parent 2e53f9fe
......@@ -50,15 +50,11 @@ KateProjectViewTree::KateProjectViewTree(KateProjectPluginView *pluginView, Kate
*/
QItemSelectionModel *m = selectionModel();
#if (QT_VERSION < QT_VERSION_CHECK(5, 10, 0))
QSortFilterProxyModel *sortModel = new KRecursiveFilterProxyModel(this);
#else
QSortFilterProxyModel *sortModel = new QSortFilterProxyModel(this);
sortModel->setRecursiveFilteringEnabled(true);
#endif
// sortModel->setFilterRole(SortFilterRole);
// sortModel->setSortRole(SortFilterRole);
sortModel->setRecursiveFilteringEnabled(true);
sortModel->setFilterCaseSensitivity(Qt::CaseInsensitive);
sortModel->setSortCaseSensitivity(Qt::CaseInsensitive);
sortModel->setSourceModel(m_project->model());
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment